//
//  USctp_ApiHandler.h
//  usctp
//
//  Created by Andreas Fink on 17.10.20.
//  Copyright © 2020 Andreas Fink. All rights reserved.
//

#if !defined(USCTP_API_HANDLER_H)
#define USCTP_API_HANDLER_H 1

#import "UAPI_Handler.h"

int uapi_handler_call(UAPI_Handler *u, struct UTcp_Socket *socket,struct UAPI *api, UData *data);

struct USctp_ApiInstance;

typedef struct USctp_ApiHandler
{
    UAPI_Handler        _u;
    struct USctp_ApiInstance   *_instance;
} USctp_ApiHandler;

USctp_ApiHandler *usctp_apihandler_alloc(void);
USctp_ApiHandler *usctp_apihandler_init(USctp_ApiHandler *u);
int usctp_apihandler_call(UAPI_Handler *u, struct UTcp_Socket *socket,struct UAPI *api, UData *data);

#endif /* USCTP_API_SOCKET_H */
