//
//  USctp_ApiSocket.h
//  usctp_api
//
//  Created by Andreas Fink on 14.10.20.
//  Copyright © 2020 Andreas Fink. All rights reserved.
//


#if !defined(USCTP_API_SOCKET_H)
#define USCTP_API_SOCKET_H 1

#include "UObject.h"

struct USctp_ApiInstance;

typedef struct USctp_ApiSocket
{
    UObject         _u;
    int             _isock;
    int             _api_rx;
    int             _api_tx;
    int             _provider_rx;
    int             _provider_tx;
    struct USctp_ApiInstance *_inUseByInstance; /* weak */
} USctp_ApiSocket;

USctp_ApiSocket *usctp_apisocket_alloc(void);
USctp_ApiSocket *usctp_apisocket_init(USctp_ApiSocket *u);

#endif /* USCTP_API_SOCKET_H */
