//
//  USctp_Chunk_ERROR.h
//  usctp
//
//  Created by Andreas Fink on 13.10.20.
//  Copyright © 2020 Andreas Fink. All rights reserved.
//

#if !defined(USCTP_CHUNK_ERROR_H)
#define USCTP_CHUNK_ERROR_H 1

#include "USctp_Chunk.h"


typedef struct USctp_Chunk_ERROR
{
    USctp_Chunk     _u;
    UList            *errorCauses;
} USctp_Chunk_ERROR;

USctp_Chunk_ERROR *usctp_chunk_ERROR_alloc(void);
USctp_Chunk_ERROR *usctp_chunk_ERROR_init(USctp_Chunk_ERROR *u);
void usctp_chunk_ERROR_encode(struct USctp_Chunk *u);

#endif /* USCTP_CHUNK_ERROR_H */
