//
//  USctp_Chunk_HEARTBEAT.h
//  usctp
//
//  Created by Andreas Fink on 13.10.20.
//  Copyright © 2020 Andreas Fink. All rights reserved.
//

#if !defined(USCTP_CHUNK_HEARTBEAT_H)
#define USCTP_CHUNK_HEARTBEAT_H 1

#include "USctp_Chunk.h"


typedef struct USctp_Chunk_HEARTBEAT
{
    USctp_Chunk     _u;
    UData           *heartbeat_information_tlv;
} USctp_Chunk_HEARTBEAT;

USctp_Chunk_HEARTBEAT *usctp_chunk_HEARTBEAT_alloc(void);
USctp_Chunk_HEARTBEAT *usctp_chunk_HEARTBEAT_init(USctp_Chunk_HEARTBEAT *u);
void usctp_chunk_HEARTBEAT_encode(struct USctp_Chunk *u);

#endif /* USCTP_CHUNK_HEARTBEAT_H */
