//
//  USctp_Chunk_HEARTBEAT_ACK.h
//  usctp
//
//  Created by Andreas Fink on 13.10.20.
//  Copyright © 2020 Andreas Fink. All rights reserved.
//

#if !defined(USCTP_CHUNK_HEARTBEAT_ACK_H)
#define USCTP_CHUNK_HEARTBEAT_ACK_H 1

#include "USctp_Chunk.h"


typedef struct USctp_Chunk_HEARTBEAT_ACK
{
    USctp_Chunk     _u;
    UData           *heartbeat_information_tlv;
} USctp_Chunk_HEARTBEAT_ACK;

USctp_Chunk_HEARTBEAT_ACK *usctp_chunk_HEARTBEAT_ACK_alloc(void);
USctp_Chunk_HEARTBEAT_ACK *usctp_chunk_HEARTBEAT_ACK_init(USctp_Chunk_HEARTBEAT_ACK *u);
void usctp_chunk_HEARTBEAT_ACK_encode(struct USctp_Chunk *u);

#endif /* USCTP_CHUNK_HEARTBEAT_ACK_H */
