//
//  USctp_Chunk_SACK.h
//  usctp
//
//  Created by Andreas Fink on 13.10.20.
//  Copyright © 2020 Andreas Fink. All rights reserved.
//

#if !defined(USCTP_CHUNK_SACK_H)
#define USCTP_CHUNK_SACK_H 1

#include "USctp_Chunk.h"


typedef struct USctp_Chunk_SACK
{
    USctp_Chunk     _u;
    uint32_t    cumulative_tsn_ack;
    uint32_t    a_rwnd;
    UList       *gap_ack_blocks;  /* list of UData object with 16 bit GAP numbers */
    UList       *duplicate_dsns;  /* list of UData object with 32 bit TSN numbers */
} USctp_Chunk_SACK;

USctp_Chunk_SACK *usctp_chunk_SACK_alloc(void);
USctp_Chunk_SACK *usctp_chunk_SACK_init(USctp_Chunk_SACK *u);
void usctp_chunk_SACK_encode(struct USctp_Chunk *u);

#endif /* USCTP_CHUNK_SACK_H */
