//
//  USctp_Chunk_SHUTDOWN.h
//  usctp
//
//  Created by Andreas Fink on 13.10.20.
//  Copyright © 2020 Andreas Fink. All rights reserved.
//

#if !defined(USCTP_CHUNK_SHUTDOWN_H)
#define USCTP_CHUNK_SHUTDOWN_H 1

#include "USctp_Chunk.h"


typedef struct USctp_Chunk_SHUTDOWN
{
    USctp_Chunk     _u;
    uint32_t        cumulative_tsn_ack;
} USctp_Chunk_SHUTDOWN;

USctp_Chunk_SHUTDOWN *usctp_chunk_SHUTDOWN_alloc(void);
USctp_Chunk_SHUTDOWN *usctp_chunk_SHUTDOWN_init(USctp_Chunk_SHUTDOWN *u);
void usctp_chunk_SHUTDOWN_encode(struct USctp_Chunk *u);

#endif /* USCTP_CHUNK_SHUTDOWN_H */
