//
//  usctp_association.h
//  usctp
//
//  Created by Andreas Fink on 20.11.2019.
//  Copyright © 2019 Andreas Fink. All rights reserved.
//

#if !defined(USCTP_ASSOCIATION_H)
#define USCTP_ASSOCIATION_H 1


#include "UObject.h"
#include "UList.h"

typedef struct usctp_association
{
    UObject     _u;
    UList       *_side_a_addresses;
    UList       *_side_b_addresses;
    UList       *_unfinished_segments;
    int         _side_a_port;
    int         _side_b_port;
} usctp_association;


#endif /* USCTP_ASSOCIATION_H */
