//
//  usctp_ip_address.h
//  usctp
//
//  Created by Andreas Fink on 18.11.19.
//  Copyright © 2019 Andreas Fink. All rights reserved.
//

#include "UObject.h"
#include <net/ethernet.h>

typedef struct usctp_ip_address
{
    UObject     _u;
    int         _ip_version;
    uint8_t     _ipv4[4];
    uint8_t     _ipv6[16];
} usctp_ip_address;


usctp_ip_address *usctp_ip_address_alloc(void);
usctp_ip_address *usctp_ip_address_init(usctp_ip_address *e);
