//
//  UAPI_Instance.h
//  usctp
//
//  Created by Andreas Fink on 20.10.20.
//  Copyright © 2020 Andreas Fink. All rights reserved.
//


#if !defined(UAPI_INSTANCE_H)
#define UAPI_INSTANCE_H 1

#include "UPacket.h"
#include "UList.h"
#include "UTimer.h"

struct UAPI_Connection;

typedef struct UAPI_Instance
{
    UObject         _u;
    UList           *_apiConnections;
} UAPI_Instance;

UAPI_Instance *uapi_instance_alloc(void);
UAPI_Instance *uapi_instance_init(UAPI_Instance *u);

void uapi_instance_add_apiconnection(UAPI_Instance *s, struct UAPI_Connection *a);
void uapi_instance_remove_apiconnection(UAPI_Instance *s, struct UAPI_Connection *a);

#endif /* UAPI_INSTANCE_H  */
