//
//  UQueue.h
//  usctp
//
//  Created by Andreas Fink on 20.10.20.
//  Copyright © 2020 Andreas Fink. All rights reserved.
//

#if !defined(UQUEUE_H)
#define UQUEUE_H 1

#include "UObject.h"
#include "UList.h"

typedef struct UQueue
{
    UObject             _u;
    UList               *_entries;
} UQueue;

UQueue *uqueue_alloc(void);
UQueue *uqueue_init(UQueue *u);


UObject *uqueue_get_next_retained(UQueue *u);
void uqueue_append(UQueue *u,UObject *obj);

#endif /* UQUEUE_H */

