//
//  USctpState.h
//  usctp
//
//  Created by Andreas Fink on 13.10.20.
//  Copyright © 2020 Andreas Fink. All rights reserved.
//


typedef enum USctpState
{
    USctpState_CLOSED = 1,
    USctpState_COOKIE_WAIT = 2,
    USctpState_COOKIE_ECHOED = 3,
    USctpState_ESTABLISHED = 4,
    USctpState_SHUTDOWN_PENDING = 5,
    USctpState_SHUTDOWN_SENT = 6,
    USctpState_SHUTDOWN_RECEIVED = 7,
    USctpState_SHUTDOWN_ACK_SENT = 8,
} USctpState;

const char *usctpstate_string(USctpState s);

