//
//  USctp_Chunk_INIT_ACK.h
//  usctp
//
//  Created by Andreas Fink on 13.10.20.
//  Copyright © 2020 Andreas Fink. All rights reserved.
//


#if !defined(USCTP_CHUNK_INIT_ACK_H)
#define USCTP_CHUNK_INIT_ACK_H 1

#include "USctp_Chunk.h"


typedef struct USctp_Chunk_INIT_ACK
{
    USctp_Chunk     _u;
    uint32_t    initiate_tag;
    uint32_t    a_rwnd;
    uint16_t    outbound_streams;
    uint16_t    inbound_stream;
    uint32_t    initial_tsn;
} USctp_Chunk_INIT_ACK;

USctp_Chunk_INIT_ACK *usctp_chunk_INIT_ACK_alloc(void);
USctp_Chunk_INIT_ACK *usctp_chunk_INIT_ACK_init(USctp_Chunk_INIT_ACK *u);
void usctp_chunk_INIT_ACK_encode(struct USctp_Chunk *u);

#endif /* USCTP_CHUNK_INIT_ACK_H */
