//
//  USctp_Chunk_ERROR_cause.h
//  usctp
//
//  Created by Andreas Fink on 13.10.20.
//  Copyright © 2020 Andreas Fink. All rights reserved.
//

#if !defined(USCTP_ERROR_CAUSE_H)
#define USCTP_ERROR_CAUSE_H 1

#include "UObject.h"
#include "UData.h"

typedef struct USctp_ERROR_cause
{
    UObject     _u;
    uint16_t    causeCode;
    UData       *causeSpecificInformation;
} USctp_ERROR_cause;

USctp_ERROR_cause *usctp_ERROR_cause_alloc(void);
USctp_ERROR_cause *usctp_ERROR_cause_init(USctp_ERROR_cause *u);
USctp_ERROR_cause *usctp_ERROR_cause_init_wit_code_and_information(USctp_ERROR_cause *u,uint16_t causeCode, UData *causeSpecificInformation);
UData *usctp_ERROR_cause_encode(USctp_ERROR_cause *u);
int usctp_ERROR_cause_interation_append(UObject *o, void *private_data);

#endif /* USCTP_ERROR_CAUSE_H */
