//
//  USctp_Error_Code.h
//  usctp
//
//  Created by Andreas Fink on 13.10.20.
//  Copyright © 2020 Andreas Fink. All rights reserved.
//

typedef enum USctp_Error_Code
{
    USctp_Error_Invalid_Stream_Identifier = 1,
    USctp_Error_Missing_Mandatory_Parameter = 2,
    USctp_Error_Stale_Cookie_Error = 3,
    USctp_Error_Out_of_Resource = 4,
    USctp_Error_Unresolvable_Address = 5,
    USctp_Error_Unrecognized_Chunk_Type =6,
    USctp_Error_Invalid_Mandatory_Parameter = 7,
    USctp_Error_Unrecognized_Parameters = 8,
    USctp_Error_No_User_Data = 9,
    USctp_Error_Cookie_Received_While_Shutting_Down = 10,
    USctp_Error_Restart_of_an_Association_with_New_Addresses = 11,
    USctp_Error_User_Initiated_Abort = 12,
    USctp_Error_Protocol_Violation = 13,
} USctp_Error_Code;


const char *usctp_error_code_as_string(USctp_Error_Code e);

