//
//  usctp_ethernet_address.h
//  usctp
//
//  Created by Andreas Fink on 18.11.19.
//  Copyright © 2019 Andreas Fink. All rights reserved.
//

#if !defined(USCCP_ETHERNET_ADDRESS_H)
#define USCCP_ETHERNET_ADDRESS_H

#include <net/ethernet.h>
#define ETHER_ADDR_LEN          6


#include "UObject.h"

typedef struct usctp_ethernet_address
{
    UObject     _u;
    struct ether_addr        addr;
} usctp_ethernet_address;


usctp_ethernet_address *usctp_ethernet_address_alloc(void);
usctp_ethernet_address *usctp_ethernet_address_init(usctp_ethernet_address *e);
usctp_ethernet_address *usctp_ethernet_address_init_with_address(usctp_ethernet_address *e, struct ether_addr *addr);



#endif /* USCCP_ETHERNET_ADDRESS_H */
