//
//  usctp_interface.h
//  usctp
//
//  Created by Andreas Fink on 13.11.2019.
//  Copyright © 2019 Andreas Fink. All rights reserved.
//

#if !defined(USCTP_INTERFACE_H)
#define USCTP_INTERFACE_H 1

#include "UObject.h"
#include "UList.h"

typedef struct usctp_interface
{
    UObject     _u;
    UList       *_ethernet_handlers;
} usctp_interface;

usctp_interface *usctp_interface_alloc(void);
usctp_interface *usctp_interface_init(usctp_interface *u);
void usctp_interface_process_incoming_frame(usctp_interface *e,const uint8_t *ptr, size_t len);


#endif /* USCTP_INTERFACE_H */

